Click or drag to resize
BrepFaceListAdd Method (Surface)
Add a new face to a brep. This creates a complete face with new vertices at the surface corners, new edges along the surface boundary, etc. The loop of the returned face has four trims that correspond to the south, east, north, and west side of the surface in that order. If you use this version of Add to add an exiting brep, then you are responsible for using a tool like JoinEdges() to hook the new face to its neighbors.

Namespace: Rhino.Geometry.Collections
Assembly: RhinoCommon (in RhinoCommon.dll) Version: 5.1.50000.0 (5.0.20693.0)
Syntax
public BrepFace Add(
	Surface surface
)

Parameters

surface
Type: Rhino.GeometrySurface
surface is copied

Return Value

Type: BrepFace

[Missing <returns> documentation for "M:Rhino.Geometry.Collections.BrepFaceList.Add(Rhino.Geometry.Surface)"]

See Also